# Asterisk Project : Asterisk 12 Function_CURLOPT

Added by wikibot , edited by wikibot on Aug 29, 2013

# CURLOPT()

### Synopsis

Sets various options for future invocations of CURL.

### Description

Options may be set globally or per channel. Per-channel settings will override global settings.

### Syntax

    CURLOPT(key)

##### Arguments

- `key`
  - `cookie` - A cookie to send with the request. Multiple cookies are supported.
  - `conntimeout` - Number of seconds to wait for a connection to succeed
  - `dnstimeout` - Number of seconds to wait for DNS to be resolved
  - `ftptext` - For FTP URIs, force a text transfer (boolean)
  - `ftptimeout` - For FTP URIs, number of seconds to wait for a server response
  - `header` - Include header information in the result (boolean)
  - `httptimeout` - For HTTP(S) URIs, number of seconds to wait for a server response
  - `maxredirs` - Maximum number of redirects to follow
  - `proxy` - Hostname or IP address to use as a proxy server
  - `proxytype` - Type of `proxy`
    - `http`
    - `socks4`
    - `socks5`
  - `proxyport` - Port number of the `proxy`
  - `proxyuserpwd` - A username`:`password combination to use for authenticating requests through a `proxy`
  - `referer` - Referer URL to use for the request
  - `useragent` - UserAgent string to use for the request
  - `userpwd` - A username`:`password to use for authentication when the server response to an initial request indicates a 401 status code.
  - `ssl_verifypeer` - Whether to verify the server certificate against a list of known root certificate authorities (boolean).
  - `hashcompat` - Assuming the responses will be in `key1=value1&key2=value2` format, reformat the response such that it can be used by the `HASH` function.
    - `yes`
    - `no`
    - `legacy` - Also translate `+` to the space character, in violation of current RFC standards.

### See Also

- Asterisk 12 Function_CURL
- Asterisk 12 Function_HASH

### Import Version

This documentation was imported from Asterisk Version Unknown